<?xml version="1.0" encoding="ISO-8859-1"?>
<!--xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl"-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:variable name="noteNum" select="0"/>

<xsl:template match="/">
<html>
<head>
<script>
  var noteNum = 0;
  
  function nextNoteNum()
  {
    noteNum++
    document.write(noteNum);
  }
</script>
  <title>Encyclopaedia WoT</title>
</head>
<body>
  <table>
    <tr>
      <td colspan="2" align="center" bgcolor="#d0d0d0">
        Encyclopaedia WoT
      </td>
    </tr>
    <tr>
      <td nowrap="true" valign="top" bgcolor="#E0E0E0">
        <xsl:call-template name="nav_bar"/>
      </td>
      <td valign="top">
        <xsl:apply-templates/>
      </td>
    </tr>
  </table>
</body>
</html>
</xsl:template>

<xsl:template match="/character">
  <h1><xsl:value-of select="@name"/></h1>
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="/character/pronounciation">
  <p>
  <xsl:if test="@sound">
  Pronounciation: <a href="/ewot/sounds/{@sound}"><xsl:value-of select="."/></a><br/>
  </xsl:if>
  <xsl:if test="not(@sound)">
  Pronounciation: <xsl:value-of select="."/><br/>
  </xsl:if>
  </p>
</xsl:template>

<xsl:template match="/character/aliases">
Also Known As:
  <ul>
  <xsl:apply-templates select="alias"/>
  </ul>
</xsl:template>

<xsl:template match="/character/aliases/alias">
  <li id="alias"><xsl:value-of select="."/></li>
</xsl:template>

<xsl:template match="/character/generalInfo">
  <h2>General Info</h2>
  <xsl:for-each select="*|text()">
    <xsl:apply-templates select="."/>
  </xsl:for-each>
</xsl:template>

<xsl:template match="/character/physicalDescription">
  <h2>Physical Description</h2>
  <xsl:for-each select="*|text()">
    <xsl:apply-templates select="."/>
  </xsl:for-each>
</xsl:template>

<xsl:template match="/character/chronology">
  <h2>Chronology</h2>
  <ul>
    <xsl:apply-templates select="event"/>
  </ul>
</xsl:template>

<xsl:template match="/character/otherReferences">
  <h2>Other References</h2>
  <ul>
    <xsl:apply-templates select="event"/>
  </ul>
</xsl:template>

<xsl:template match="/character/*/event">
  <li>
    <a href="search.do?key={@book},{@chapter}"><xsl:value-of select="@book"/>,
    <xsl:value-of select="@chapter"/></a> -
    <xsl:for-each select="*|text()">
      <xsl:apply-templates select="."/>
    </xsl:for-each>
  </li>
</xsl:template>

<xsl:template match="/chapter">
  <table cols="3" WIDTH="100%">
    <tr>
      <td ALIGN="LEFT" VALIGN="CENTER" WIDTH="5%">
        <a href="">Prev</a>
      </td>
      <td>
		  <center>
		    <h1><a href="index.html"><xsl:value-of select="@book"/></a> : <xsl:value-of select="@chapter"/></h1>
		    <img src="icon.gif"/><br/>
		    <em><font size="+1"> <xsl:value-of select="@title"/></font></em>
		  </center>
      </td>
      <td ALIGN="RIGHT" VALIGN="CENTER" WIDTH="5%">
        <a href="">Next</a>
      </td>
    </tr>
  </table>
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="/chapter/summary">
  <xsl:variable name="noteNum" select="0"/>
  <h2>Summary</h2>
  <xsl:for-each select="*|text()">
    <xsl:apply-templates select="."/>
  </xsl:for-each>
</xsl:template>

<xsl:template match="/chapter/summary/note">
  <sup><script>nextNoteNum()</script></sup>
</xsl:template>

<xsl:template match="/chapter/summary/text()">
  <xsl:value-of select="."/>
</xsl:template>

<xsl:template match="/chapter/notes">
  <h2>Notes</h2>
  <ol>
    <xsl:for-each select="/chapter/summary/note">
      <li id="note">
		  <xsl:for-each select="*|text()">
		    <xsl:apply-templates select="."/>
		  </xsl:for-each>
      </li>
    </xsl:for-each>
  </ol>
</xsl:template>

<xsl:template match="note/text()">
  <xsl:value-of select="."/>
</xsl:template>

<xsl:template match="//link">
  <a href="search.do?key={.}"><xsl:value-of select="."/></a>
</xsl:template>

<xsl:template match="//geo">
  <a href="/~ewot/geography/{@key}.xml"><xsl:value-of select="."/></a>
</xsl:template>

<xsl:template match="//chap">
  <a href="/~ewot/books/{@key}.xml"><xsl:value-of select="."/></a>
</xsl:template>

<xsl:template match="//char">
  <a href="/~ewot/characters/{@key}.xml"><xsl:value-of select="."/></a>
</xsl:template>

<xsl:template match="//his">
  <a href="/~ewot/history/{@key}.xml"><xsl:value-of select="."/></a>
</xsl:template>

<xsl:template match="art">
  <table><tr>
    <xsl:for-each select="artwork">
      <td><xsl:apply-templates select="."/></td>
    </xsl:for-each>
  </tr></table>
</xsl:template>

<xsl:template match="artwork">
  <a href="{@image}"><img src="{@thumbnail}" height="100"/></a><br/>
  <a href="javascript:mailto({@artistEmail})"><xsl:value-of select="@artistName"/></a>
</xsl:template>

  <xsl:template name="nav_bar">
        <ul>
          <li>Setting</li>
	        <ul>
	          <li>Creator</li>
	          <li>Wheel</li>
	          <li>True Source</li>
	          <li>History</li>
	          <li>Geography</li>
	          <li>Characters</li>
	          <li>Organizations</li>
	          <li>Creatures</li>
	          <li>Items</li>
	          <li>Prophesies</li>
	        </ul>
          <li>Books</li>
	        <ul>
	          <li>TEotW</li>
	          <li>TGH</li>
	          <li>TDR</li>
	          <li>TSR</li>
	          <li>TFoH</li>
	          <li>LoC</li>
	          <li>ACoS</li>
	          <li>TPoD</li>
	          <li>WH</li>
	          <li>CoT</li>
	          <li>KoD</li>
	          <li>#12</li>
	          <li>Guide</li>
	          <li>SaSG</li>
	          <li>NS</li>
	        </ul>
          <li>Site</li>
	        <ul>
	          <li>Welcome</li>
	          <li>About</li>
	          <li>What's New</li>
	          <li>FAQ</li>
	          <li>Download</li>
	          <li>Index</li>
	          <li>Errata</li>
	          <li>Bibliography</li>
	          <li>To Do</li>
	          <li>External Links</li>
	          <li>Awards</li>
	        </ul>
        </ul>
  </xsl:template>

</xsl:stylesheet>
